org.cybergarage.upnp.device

## Class ST

- java.lang.Object
- - org.cybergarage.upnp.device.ST

-     public class ST
      extends Object

  Utility class for SSDP ST (Search Target) header values and validation.

  This class provides constants and utility methods for handling ST header used in SSDP M-SEARCH requests and responses. The ST header specifies the search target for device discovery operations.

  Key features:

  - Search target constants for different device types
  - All device search support
  - Root device detection
  - UUID-based device identification
  - URN device and service validation
  - Quoted and unquoted value support

  This class is used by SSDP components to validate and process ST headers in search requests and responses, enabling targeted device discovery and proper search target classification.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALL_DEVICE`
    `static String` | `ROOT_DEVICE`
    `static String` | `URN_DEVICE`
    `static String` | `URN_SERVICE`
    `static String` | `UUID_DEVICE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ST()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isAllDevice(String value)`
    `static boolean` | `isRootDevice(String value)`
    `static boolean` | `isURNDevice(String value)`
    `static boolean` | `isURNService(String value)`
    `static boolean` | `isUUIDDevice(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_DEVICE

          public static final String ALL_DEVICE

      See Also:
        Constant Field Values

    - #### ROOT_DEVICE

          public static final String ROOT_DEVICE

      See Also:
        Constant Field Values

    - #### URN_DEVICE

          public static final String URN_DEVICE

      See Also:
        Constant Field Values

    - #### URN_SERVICE

          public static final String URN_SERVICE

      See Also:
        Constant Field Values

    - #### UUID_DEVICE

          public static final String UUID_DEVICE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ST

          public ST()

  - ### Method Detail

    - #### isAllDevice

          public static final boolean isAllDevice(String value)

    - #### isRootDevice

          public static final boolean isRootDevice(String value)

    - #### isURNDevice

          public static final boolean isURNDevice(String value)

    - #### isURNService

          public static final boolean isURNService(String value)

    - #### isUUIDDevice

          public static final boolean isUUIDDevice(String value)